#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define MAX 10
typedef struct pilha * Pilha;

Pilha cria_pilha();
int pilha_vazia(Pilha p);
int pilha_cheia(Pilha p);
int push(Pilha p, char elem);
int pop(Pilha p, char *elem);
int le_topo(Pilha p, char *elem);
int imprime_reverso(Pilha p);
